%define pkgname dejavu-ttf

Summary: DejaVu ttf Fonts
Name: fonts-ttf-dejavu
Version: 2.9
Release: %mkrel 1
License: Bitstream Vera Fonts Copyright
Group: System/Fonts/True type
URL: http://dejavu.sourceforge.net/
Source0: http://prdownloads.sourceforge.net/dejavu/dejavu-ttf-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires(post): fontconfig 
Requires(postun): fontconfig 
Requires(post): chkfontpath
Requires(postun): chkfontpath
BuildArch: noarch
BuildRequires: freetype-tools

%description
DejaVu fonts are Bitstream Vera fonts (http://www.bitstream.com/) with
additional characters from Latin Extended-A set (Dcaron, dcaron, Ecaron,
ecaron, Lacute, lacute, Lcaron, lcaron, Ncaron, ncaron, Racute, racute,
Rcaron, rcaron, Tcaron, tcaron, Uring, uring). They are optimized for
display on Linux/X (which has some TrueType display problems), but that
should not affect their usability on other systems or in printing.

DejaVu fonts are based on Bitstream Vera fonts version 1.10.

Fonts are (c) Bitstream (see below). DejaVu changes are in public domain.

Fonts are published in source form as SFD files (Spline Font Database from
FontForge - http://fontforge.sf.net/) and in compiled form as TTF files
(TrueType fonts).

%prep
%setup -q -n %{pkgname}-%{version}

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/dejavu

install -m 644 *.ttf $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/dejavu
ttmkfdir $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/dejavu > $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/dejavu/fonts.dir
ln -s fonts.dir $RPM_BUILD_ROOT%{_datadir}/fonts/TTF/dejavu/fonts.scale

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -a %{_datadir}/fonts/TTF/dejavu
[ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 

%postun
if [ "$1" = "0" ]; then
  [ -x %{_sbindir}/chkfontpath ] && %{_sbindir}/chkfontpath -q -r %{_datadir}/fonts/TTF/dejavu
  [ -x %{_bindir}/fc-cache ] && %{_bindir}/fc-cache 
fi


%files
%defattr(-,root,root,-)
%doc README LICENSE AUTHORS NEWS BUGS *.txt
%dir %{_datadir}/fonts/TTF/dejavu
%{_datadir}/fonts/TTF/dejavu/*.ttf
%verify(not mtime) %{_datadir}/fonts/TTF/dejavu/fonts.dir
%{_datadir}/fonts/TTF/dejavu/fonts.scale

%changelog
* Tue Sep 05 2006 Thierry Vignaud <tvignaud@mandriva.com>
+ 2006-09-05 16:04:40 (60114)
new release (fix cyrillic issue #25216)

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 21:10:53 (52886)
- Normalize fonts with new paths

* Fri Aug 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-08-04 19:01:29 (52799)
import fonts-ttf-dejavu-2.8-1mdv2007.0

* Thu Jul 27 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.8-1mdv2007.0
- new release

* Thu Jul 06 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.7-1mdv2007.0
- new release

* Mon May 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6-1mdk
- new release

* Tue Apr 25 2006 Frederic Crozat <fcrozat@mandriva.com> 2.5-1mdk
- Release 2.5 (fix ligature bug with latest pango)

* Tue Mar 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.3-1mdk
- new release

* Thu Feb 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.2-2mdk
- Never ship fonts.cache-2
- fix prereq

* Wed Jan 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.2-1mdk
- new release

* Tue Nov 15 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-2mdk
- fontconfig cache name has changed

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 2.0-1mdk
- new release

* Tue Jul 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.11-1mdk
- new release

* Wed May 25 2005 Abel Cheung <deaddog@mandriva.org> 1.10-1mdk
- New release 1.10

* Tue May 03 2005 Abel Cheung <deaddog@mandriva.org> 1.9-1mdk
- New release 1.9
- Mark attributes for various files

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.7-1mdk
- new release

* Tue Nov 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-1mdk
- new release (merged with Owen & BePa fonts)
- fix package (enable to rebuild on version bumping)

* Mon Aug 09 2004 Robert Vojta <robert.vojta@mandrake.org> 1.1-2mdk
- README file added
- better description (based on the README file)

* Thu Aug 05 2004 Petr Spatka <petr.spatka@kamarad.cz> 1.1-1mdk
- Initial build. Based on fonts-ttf-vera.spec from Mandrake.

